## ros-foxy-depthimage-to-laserscan 2.3.1

=== debian/changelog ===
ros-foxy-depthimage-to-laserscan (2.3.1-1focal) focal; urgency=high

  * Cleanup the CMakeLists.txt (#51 <https://github.com/ros-perception/depthimage_to_laserscan/issues/51>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 08 Apr 2021 00:00:00 -0000

ros-foxy-depthimage-to-laserscan (2.3.0-1focal) focal; urgency=high

  * Make DepthImageToLaserScan more RAII.
  * Fixes pointed out by clang-tidy.
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 28 May 2020 00:00:00 -0000

ros-foxy-depthimage-to-laserscan (2.2.5-1focal) focal; urgency=high

  * Update the README.md to describe the topics and parameters.
  * Add in a launch file for composable node.
  * Rename launch file to conform to recommendations.
  * Remove unnecessary Depth.cfg.
  * Make depthimage_to_laserscan composable.
  * Rename header files to .hpp
  * Style cleanup.
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-foxy-depthimage-to-laserscan (2.2.4-1focal) focal; urgency=high

  * Export interfaces for Win32 Shared Lib (#44 <https://github.com/ros-perception/depthimage_to_laserscan/issues/44>)
  * Contributors: Sean Yen

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-foxy-depthimage-to-laserscan (2.2.2-1focal) focal; urgency=high

  * update code to be consist with new ros2 core (#42 <https://github.com/ros-perception/depthimage_to_laserscan/issues/42>)
  * Contributors: Gary Liu

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 27 Sep 2019 00:00:00 -0000

ros-foxy-depthimage-to-laserscan (2.2.1-1focal) focal; urgency=high

  * Port depthimage_to_laserscan to ROS2.
  * Import ROS2 changes from https://github.com/ros2/depthimage_to_laserscan.git to upstream
  * Contributors: Chad Rockey, Chris Lalancette, Mikael Arguedas, Shane Loretz, dhood

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 29 Mar 2019 00:00:00 -0000

ros-foxy-depthimage-to-laserscan (1.0.8-1focal) focal; urgency=high

  * Merge pull request #27 <https://github.com/ros-perception/depthimage_to_laserscan/issues/27> from ros-perception/mikaelarguedas-patch-1
    update to use non deprecated pluginlib macro
  * update to use non deprecated pluginlib macro
  * Contributors: Chad Rockey, Mikael Arguedas

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 07 Feb 2019 00:00:00 -0000

ros-foxy-depthimage-to-laserscan (1.0.7-1focal) focal; urgency=high

  * Merge pull request #11 <https://github.com/ros-perception/depthimage_to_laserscan/issues/11> from ros-perception/hydro-devel
    Update indigo devel with angle fix
  * Merge pull request #8 <https://github.com/ros-perception/depthimage_to_laserscan/issues/8> from vliedel/hydro-devel
    fixed angle_increment
  * fixed angle_increment
  * Merge pull request #7 <https://github.com/ros-perception/depthimage_to_laserscan/issues/7> from bulwahn/hydro-devel
    check for CATKIN_ENABLE_TESTING
  * check for CATKIN_ENABLE_TESTING
  * Added ARCHIVE DESTINATION
  * Contributors: Chad Rockey, Lukas Bulwahn, vliedel

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 16 Jun 2014 00:00:00 -0000

ros-foxy-depthimage-to-laserscan (1.0.6-1focal) focal; urgency=high

  * Removed y component from projected beam radius.

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 31 Oct 2013 00:00:00 -0000

ros-foxy-depthimage-to-laserscan (1.0.5-1focal) focal; urgency=high

  * No more Willow Garage email.
  * Merge pull request #4 <https://github.com/ros-perception/depthimage_to_laserscan/issues/4> from ericperko/groovy-devel
    Cleaned up CMakeLists a bit
  * Cleaned up CMakeLists a bit

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 21 Aug 2013 00:00:00 -0000

ros-foxy-depthimage-to-laserscan (1.0.4-1focal) focal; urgency=high

  * Update version to 1.0.4
  * Merge pull request #3 <https://github.com/ros-perception/depthimage_to_laserscan/issues/3> from ahendrix/fix_testdeps
    Fix testdeps
  * Removed redundant test-depends.
  * Remove old makefile.

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 22 Jan 2013 00:00:00 -0000

ros-foxy-depthimage-to-laserscan (1.0.3-1focal) focal; urgency=high

  * fix exported libraries (fix #2 <https://github.com/ros-perception/depthimage_to_laserscan/issues/2>)

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 23 Dec 2012 00:00:00 -0000

ros-foxy-depthimage-to-laserscan (1.0.2-1focal) focal; urgency=high

  * fix dyn reconf
  * Updated description.
  * Updated readme to link to wiki.

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 19 Dec 2012 00:00:00 -0000

ros-foxy-depthimage-to-laserscan (1.0.1-1focal) focal; urgency=high

  * Update package.xml
    New release for missing catkin build_depend.
  * Merge pull request #1 <https://github.com/ros-perception/depthimage_to_laserscan/issues/1> from ablasdel/groovy-devel
    updated catkin buildtool_depend
  * updated catkin buildtool_depend

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 14 Dec 2012 00:00:00 -0000

ros-foxy-depthimage-to-laserscan (1.0.0-1focal) focal; urgency=high

  * Cleanup of the CMakeLists.txt
  * First attempt at Catkinizing.
  * Pushing fuerte-devel to github.
  * Initial commit

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 05 Dec 2012 00:00:00 -0000
