=== debian/control ===
Source: ros-foxy-depthimage-to-laserscan
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-foxy-ament-cmake-gtest, ros-foxy-ament-cmake-ros, ros-foxy-image-geometry, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-sensor-msgs, ros-foxy-ros-workspace
Homepage: http://ros.org/wiki/depthimage_to_laserscan
Standards-Version: 3.9.2

Package: ros-foxy-depthimage-to-laserscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, ros-foxy-image-geometry, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-sensor-msgs, ros-foxy-ros-workspace
Description: depthimage_to_laserscan
